# angular2-text-show-more-less

## Angular Component to show text based on maxLength

To install this library, run:

```bash
$ npm install angular2-text-show-more-less --save
```

## Consuming your library

Once you have published your library to npm, you can import your library in any Angular application by running:

```bash
$ npm install angular2-text-show-more-less
```

and then from your Angular `AppModule`:

```typescript
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';

// Import your library
import { TextShowMoreLessModule } from 'angular2-text-show-more-less';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,

    // Specify your library as an import
    TextShowMoreLessModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
```

Once your library is imported, you can use its components, directives and pipes in your Angular application:

```xml
<!-- You can now use your library component in app.component.html -->
sourceString= 'Lorem Ipsum Originals Media';
<crystal-text-show-less 
[maxLength]="5" [data]="sourceString" [showTail]="true"
> </crystal-text-show-less>
```

## Development

To generate all `*.js`, `*.d.ts` and `*.metadata.json` files:

```bash
$ npm run build
```

To lint all `*.ts` files:

```bash
$ npm run lint
```

## License

MIT © [Mufthi](mailto:mufthiisnow@gmail.com)
